> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Media Profile API Endpoint

> This API endpoint allows a user to delete an existing media profile.



## OpenAPI

````yaml delete /api/media-profile/delete/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/media-profile/delete/:
    delete:
      tags:
        - api
      summary: Delete Media Profile API Endpoint
      description: This API endpoint allows a user to delete an existing media profile.
      operationId: delete_media_profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteMediaProfile'
        required: true
      responses:
        '200':
          description: Successfully deleted the media profile
          content: {}
        '400':
          description: Failed to delete the media profile or validation errors
          content: {}
        '500':
          description: Failed to delete the media profile
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    DeleteMediaProfile:
      required:
        - media_profile_id
      type: object
      properties:
        media_profile_id:
          title: Media profile id
          type: integer
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````